﻿.main-crypto {
    background:linear-gradient(180deg,#000000,#000000,#000000,#ff751f);
}

.main-crypto .container {
    background:linear-gradient(180deg,#737373,#000000);
    padding:1px;
    border-radius:20px;
    height:800px;
    overflow:hidden;
}

.main-crypto .container-inner {
    background-image: url('/assets/images/crypto/main-section.png');
    background-repeat: no-repeat;
    background-size: 100% 100%;
    background-position: 100% 0;
    width:100%;
    height:100%;
    border-radius:inherit;
}

.main-crypto .container-inner > div {
    width:58%;
}

.main-crypto h1 {
    display: none;
}

.main-crypto-img {
    width: auto;
    display: inline-block;
    position:relative;
}

.main-crypto-img::before {
    content:'';
    position:absolute;
    bottom: -100px;
    left: -120px;
    width: 160px;
    height: 160px;
    background-image: url(/assets/images/crypto/bitcoin.png);
    background-size: contain;
    background-repeat: no-repeat;
    transform: rotate(35deg);
    z-index:2;
}

.main-crypto-img::after {
    content:'';
    position:absolute;
    top: -60px;
    right: -130px;
    width: 160px;
    height: 160px;
    background-image: url(/assets/images/crypto/coin2.png);
    background-size: contain;
    background-repeat: no-repeat;
    transform: rotate(-35deg);
    z-index:2;
}

.main-crypto .main-img {
    width: 100%;
}

.main-crypto h2 {
    font-size: 22px;
    font-weight: 400;
    font-family: var(--font-body);
}

.cryp-grid-container {
    display: grid;
    grid-template-columns: 1fr 2fr 1fr; /* 25% 50% 25% */
    grid-template-rows: repeat(3, auto);
    background: var(--black);
    padding: 20px;
    position: relative;
}

.cryp-box { border-radius: 20px;position:relative;z-index:2;padding:20px 20px; }
.cryp-white-box { background: #f3f0f0; }
.cryp-green-box { background: #0cff00; }
.cryp-orange-box { background: linear-gradient(90deg,#ffa66f,#ff751f,#db6621); }
.cryp-black-box {padding:10px;}
.cryp-black-box .cryp-black-box-inner, .cryp-black-box .cryp-black-box-inner-half {border:solid 1px var(--white);border-radius:20px;padding:20px;}
.cryp-black-box .cryp-black-box-inner-half {flex:1;}
.cryp-box-last {background:linear-gradient(90deg,#316ad2,#000000,#ff0000);padding:1px;border-radius:20px;overflow:hidden;}

/* The Secret Sauce: Connecting the Center Box */
.cryp-center-connect {
  position: relative;
  z-index:4;
}

.cryp-center-connect::before, .cryp-center-connect::after, .cryp-top-right-bridge::after, .cryp-bottom-left-bridge::before {
    content: "";
    position: absolute;
    width: 40px;
    height: 50px;
    -webkit-mask-image: radial-gradient(circle at -75% 50%, transparent 100%, black 100%), radial-gradient(circle at 175% 50%, transparent 100%, black 100%);
    mask-image:
    radial-gradient(circle at -75% 50%, transparent 49%, black 50%),
    radial-gradient(circle at 175% 50%, transparent 49%, black 50%);
    -webkit-mask-composite: source-in;
    mask-composite: intersect;
}

/* Connection to Top-Left */
.cryp-center-connect::before {
    top: -25px;
    left: -20px;
    background: #f3f0f0;
    transform: rotate(-45deg);
}

/* Connection to Bottom-Right */
.cryp-center-connect::after {
    bottom: -25px;
    right: -20px;
    background: #f3f0f0;
    transform: rotate(-45deg);
}

/* Connection to Top-right */
.cryp-top-right-bridge::after {
    top: -25px;
    right: -20px;
    background: #db6621;
    transform: rotate(45deg);
}

/* Connection to bottom-left */
.cryp-bottom-left-bridge::before {
    bottom: -25px;
    left: -20px;
    background: #0cff00;
    transform: rotate(45deg);
}

.cryp-box .arr-img {
    height: 100px;
}

.cryp-box h2 {
    font-size: 48px;
    font-weight: 700;
    color: var(--black);
    margin-bottom: 0px;
}

.cryp-box h3 {
    font-size: 32px;
    font-weight: 600;
    margin-bottom: 0px;
    background: linear-gradient(rgb(255, 49, 49) 0%, rgb(0, 0, 0) 45.5962%, rgb(0, 255, 0) 100%);
}

.cryp-box h4 {
    font-size: 26px;
    font-weight: 500;
    color: var(--black);
    margin-bottom: 0px;
}
.cryp-box h4 span {
    font-weight: 700;
}

.cryp-box h5 {
    font-size: 20px;
    font-weight: 500;
    color: var(--white);
    margin-bottom: 0px;
}

.cryp-black-box h5 {
    color: var(--white);
}

.cryp-box p {
    font-size: 13px;
    font-weight: 500;
    line-height: 1.2em;
    color: rgba(255,255,255,0.69);
    margin-bottom: 0px;
}
.cryp-box .pbig {
    font-size:22px;
    font-weight:400;
    color:var(--black);
}
.cryp-box-top-middle {
    gap:20px;
}
.cryp-box-text {
    flex:0 0 40%;
}
.cryp-box-box {
    flex: 1 0 60%;
    display:flex;
    flex-direction:column;
    row-gap:10px;
    padding-right:20px;
}
.cryp-box-box > div {
    border:solid 1px var(--white);
    border-radius:50rem;
    padding:20px;
    justify-content:center;
    align-items:center;
    display:flex;
    gap:10px;
    height:50%;
}

.cryp-box-box img {
    height:40px;
}

.cryp-box-box p {
    font-size: 14px;
    font-weight:400;
    color: rgba(255, 255, 255, 0.8);
    line-height:1.5em;
}

.cryp-box-box p small {
    font-weight:300;
}

.text-neg {
    color: #ec4e5b !important;
}

.cryp-green-box img {
    max-width:100px;
}

.img-clock {
    width:90%;
    max-width:250px;
}

.cryp-orange-box > div {
    position: absolute;
    left: 20px;
    bottom: 20px;
}
.cryp-orange-box h2 {
    font-family: "owners-xxwide", sans-serif;
    font-weight: 600;
    font-size: 48px;
    line-height: 1em;
    color: var(--black);
    margin: 0px;
}
.cryp-orange-box p {
    font-size:18px;
    font-weight:400;
    color:var(--black);
}

.cryp-box-last .cryp-white-box {
    padding: 20px 20px;
}

@media (min-width: 1600px) {
    
}

@media (max-width: 1199.98px) {
    .main-crypto-img::before {
        left: -150px;
    }
    .main-crypto-img::after {
        right:-150px;
    }

    .cryp-box-top-middle {
        flex-direction:column;
        row-gap:20px;
    }

    .cryp-box-top-middle .cryp-box-text, .cryp-box-top-middle .cryp-box-box {
        flex: 1;
        width: 100%;
    }

    .cryp-box h2 {
        font-size: 40px;
    }

    .cryp-orange-box h2 {
        font-size: 36px;
    }

    .cryp-black-box.d-flex {
        flex-direction:column;
    }

    .cryp-box h5 {
        font-size:18px;
    }

    .cryp-box h3 {
        font-size:26px;
    }
}

@media (max-width: 991.98px) {
    .cryp-grid-container {
        grid-template-columns: 1fr;
        row-gap: 20px;
    }

    .cryp-center-connect::before, .cryp-center-connect::after, .cryp-top-right-bridge::after, .cryp-bottom-left-bridge::before {
        content:unset;
    }

    .cryp-center-connect {
        padding:50px 20px;
    }

    .cryp-box h5 br {
        display:none;
    }

    .cryp-orange-box > div {
        position:unset;
        text-align:center;
        padding:30px 0px;
    }

    .cryp-box h2 {
        font-size: 28px;
    }

    .cryp-box .pbig {
        font-size: 18px;
    }

    .main-crypto-img::before, .main-crypto-img::after {
        content:unset;
    }
}

@media (max-width: 575.98px) {
    
}